Index: /branches/dev_001_GM/NEMO/TOP_SRC/par_trc.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/par_trc.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/par_trc.F90	(revision 763)
@@ -2,19 +2,20 @@
    !!======================================================================
    !!                        ***  par_trc  ***
-   !! passive tracers :   set the passive tracers parameters
+   !! TOP :   set the passive tracers parameters
    !!======================================================================
-   !! History :
-   !!   8.2  !  96-01  (M. Levy)  Original code
-   !!        !  99-07  (M. Levy)  for LOBSTER1 or NPZD model
-   !!        !  00-04  (O. Aumont, M.A. Foujols)  HAMOCC3 and P3ZD
-   !!   9.0  !  04-03  (C. Ethe)  Free form and module
+   !! History :    -   !  1996-01  (M. Levy)  original code
+   !!              -   !  1999-07  (M. Levy)  for LOBSTER1 or NPZD model
+   !!              -   !  2000-04  (O. Aumont, M.A. Foujols)  HAMOCC3 and P3ZD
+   !!             1.0  !  2004-03  (C. Ethe) Free form and module
+   !!             2.0  !  2007-12  (C. Ethe, G. Madec)  rewritting
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/TOP_SRC/par_trc.F90,v 1.6 2007/10/12 09:22:19 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! NEMO/TOP 2.0 , LOCEAN-IPSL (2007) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-   !! * Modules used
 #if defined key_passivetrc
-
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
    USE par_trc_trp
 
@@ -22,29 +23,30 @@
    PUBLIC
 
+# if defined key_trc_diatrd
+   !!----------------------------------------------------------------------
+   !!   'key_trc_diatrd'                                  trend diagnostics
+   !!----------------------------------------------------------------------
+#  if defined key_trcldf_eiv
+#   if defined key_trcdmp
+   INTEGER, PARAMETER :: jpdiatrc = 11      !: trends: 3*(advection + diffusion + eiv ) + damping + sms
+#   else
+   INTEGER, PARAMETER :: jpdiatrc = 10      !: trends: 3*(advection + diffusion + eiv )           + sms
+#   endif
+#  else
+#   if defined key_trcdmp
+   INTEGER, PARAMETER :: jpdiatrc =  8      !: trends: 3*(advection + diffusion       ) + damping + sms
+#   else
+   INTEGER, PARAMETER :: jpdiatrc =  7      !: trends: 3*(advection + diffusion       ) + damping + sms
+#   endif
+#  endif
 
-#if defined key_trc_diatrd
-
-!! number of dynamical trends
-#  if defined key_trcldf_eiv
-!! we keep 3 more trends for eddy induced flux (gent velocity)
-#    if defined key_trcdmp
-   INTEGER , PARAMETER :: jpdiatrc = 11
-#    else
-   INTEGER , PARAMETER :: jpdiatrc = 10
-#    endif
-#  else
-#    if defined key_trcdmp
-   INTEGER , PARAMETER :: jpdiatrc = 8
-#    else
-   INTEGER , PARAMETER :: jpdiatrc = 7
-#    endif
-#  endif
 # endif
 
 #else
    !!======================================================================
-   !!  Empty module : No passive tracer 
+   !!  Empty module :                                     No passive tracer 
    !!======================================================================
 #endif
 
+   !!======================================================================
 END MODULE par_trc
Index: /branches/dev_001_GM/NEMO/TOP_SRC/par_trc_trp.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/par_trc_trp.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/par_trc_trp.F90	(revision 763)
@@ -2,76 +2,73 @@
    !!======================================================================
    !!                        ***  par_trc_trp  ***
-   !! passive tracers :   set the number of passive tracers
+   !! TOP :   set the number of passive tracers
    !!======================================================================
-   !! History :
-   !!   9.0  !  04-03  (C. Ethe)  Orignal
+   !! History :   1.0  !  2004-03  (C. Ethe)  Original cade
+   !!             2.0  !  04-03  (C. Ethe, G. Madec)  rewriting
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! NEMO/TOP 1.0,  LOCEAN-IPSL (2005)
+   !! $Id$
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 #if defined key_passivetrc
-   !!---------------------------------------------------------------------
-   !!   'key_passivetrc'   :                               Passive tracer
-   !!---------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
 
    IMPLICIT NONE
    PUBLIC
    
-   !! jptra   : number of passive tracers
-   !! jpdia2d : additional 2d output
-   !! jpdia3d : additional 3d output
-
-#if defined key_trc_lobster1
+# if defined key_trc_lobster1
    !!---------------------------------------------------------------------
-   !!   'key_trc_lobster1'   :            LOBSTER1 Source Minus Sink model
+   !!   'key_trc_lobster1'   :                    LOBSTER biological model
    !!---------------------------------------------------------------------
-   INTEGER, PUBLIC, PARAMETER :: jptra   = 6
-#if defined key_trc_diaadd
-   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 19
-   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 3
-#endif
-#elif defined key_cfc
+   INTEGER, PUBLIC, PARAMETER ::   jptra   =  6   !: number of passive tracers
+#  if defined key_trc_diaadd
+   INTEGER, PUBLIC, PARAMETER ::   jpdia2d = 19   !: additional 2d output
+   INTEGER, PUBLIC, PARAMETER ::   jpdia3d =  3   !: additional 3d output
+#  endif
+# elif defined key_cfc
    !!---------------------------------------------------------------------
    !!   'key_cfc'   :                      CFC Source Minus Sink model
    !!---------------------------------------------------------------------
-   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
-#if defined key_trc_diaadd
-   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
-   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
-#endif
-#elif defined key_trc_pisces
+   INTEGER, PUBLIC, PARAMETER ::   jptra   = 2   !: number of passive tracers
+#  if defined key_trc_diaadd
+   INTEGER, PUBLIC, PARAMETER ::   jpdia2d = 1   !: additional 2d output
+   INTEGER, PUBLIC, PARAMETER ::   jpdia3d = 1   !: additional 3d output
+#  endif
+# elif defined key_trc_pisces
    !!---------------------------------------------------------------------
    !!   'key_trc_pisces'   :                  PISCES Source Minus Sink model
    !!---------------------------------------------------------------------
-#if ! defined key_trc_kriest
-   INTEGER, PUBLIC, PARAMETER :: jptra   = 24
-#if defined key_trc_diaadd
-   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 13
-   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 11
+#  if ! defined key_trc_kriest
+   INTEGER, PUBLIC, PARAMETER ::   jptra   = 24   !: number of passive tracers
+#   if defined key_trc_diaadd
+   INTEGER, PUBLIC, PARAMETER ::   jpdia2d = 13   !: additional 2d output
+   INTEGER, PUBLIC, PARAMETER ::   jpdia3d = 11   !: additional 3d output
+#   endif
+#  else
+   INTEGER, PUBLIC, PARAMETER ::   jptra   = 23   !: number of passive tracers
+#   if defined key_trc_diaadd
+   INTEGER, PUBLIC, PARAMETER ::   jpdia2d = 13   !: additional 2d output
+   INTEGER, PUBLIC, PARAMETER ::   jpdia3d = 18   !: additional 3d output
+#   endif
 #  endif
-#else
-   INTEGER, PUBLIC, PARAMETER :: jptra   = 23
-#if defined key_trc_diaadd
-   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 13
-   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 18
-#  endif
-#endif
-#else
+# else
    !!---------------------------------------------------------------------
    !!   'default'   :          temperature and salinity as passive tracers
    !!---------------------------------------------------------------------
-   INTEGER, PUBLIC, PARAMETER :: jptra   = 2
-#if defined key_trc_diaadd
-   INTEGER, PUBLIC, PARAMETER :: jpdia2d = 1
-   INTEGER, PUBLIC, PARAMETER :: jpdia3d = 1
-#endif
+   INTEGER, PUBLIC, PARAMETER ::   jptra   = 2   !: number of passive tracers
+#  if defined key_trc_diaadd
+   INTEGER, PUBLIC, PARAMETER ::   jpdia2d = 1   !: additional 2d output
+   INTEGER, PUBLIC, PARAMETER ::   jpdia3d = 1   !: additional 3d output
+#  endif
+# endif
+
+#else
+   !!----------------------------------------------------------------------
+   !!  Empty module :                                     No passive tracer
+   !!----------------------------------------------------------------------
 #endif
 
-#else
    !!======================================================================
-   !!  Empty module : No passive tracer 
-   !!======================================================================
-#endif
-
 END MODULE par_trc_trp
Index: /branches/dev_001_GM/NEMO/TOP_SRC/passivetrc_substitute.h90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/passivetrc_substitute.h90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/passivetrc_substitute.h90	(revision 763)
@@ -5,7 +5,9 @@
    !!              concerning passive tracer model 
    !!----------------------------------------------------------------------
-   !!  TOP 1.0,  LOCEAN-IPSL (2005)
-   !! $Header$
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! History :   1.0  !  2004-03 (C. Ethe) Original code
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2007) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
Index: /branches/dev_001_GM/NEMO/TOP_SRC/prtctl_trc.F90
===================================================================
--- /branches/dev_001_GM/NEMO/TOP_SRC/prtctl_trc.F90	(revision 762)
+++ /branches/dev_001_GM/NEMO/TOP_SRC/prtctl_trc.F90	(revision 763)
@@ -1,10 +1,19 @@
 MODULE prtctl_trc
-   !!==============================================================================
-   !!                       ***  MODULE prtctl   ***
-   !! Ocean system   : print all SUM trends for each processor domain
-   !!==============================================================================
+   !!======================================================================
+   !!                         ***  MODULE prtctl_trc  ***
+   !! TOP :   print all SUM trends for each processor domain
+   !!======================================================================
+   !! History :    -   !  2005-07  (C. Talandier) original code for OPA
+   !!             1.0  !  2005-10  (C. Ethe     ) adapted to passive tracer
+   !!----------------------------------------------------------------------
 #if defined key_passivetrc
-
-   USE par_trc_trp
+   !!----------------------------------------------------------------------
+   !!   'key_passivetrc'                                    Passive tracers
+   !!----------------------------------------------------------------------
+   !!   prt_ctl_trc      :   control print in mpp for passive tracers
+   !!   prt_ctl_trc_info :   ???
+   !!   prt_ctl_trc_init :   ???
+   !!----------------------------------------------------------------------
+   USE par_trc_trp      ! ???
    USE oce_trc          ! ocean space and time domain variables
    USE in_out_manager   ! I/O manager
@@ -14,30 +23,26 @@
    PRIVATE
 
-   !! * Module declaration
-   INTEGER, DIMENSION(:), ALLOCATABLE :: numid_trc  ! logical unit 
-   INTEGER, DIMENSION(:), ALLOCATABLE, SAVE ::   &  !:
-      nlditl , nldjtl ,   &  !: first, last indoor index for each i-domain
-      nleitl , nlejtl ,   &  !: first, last indoor index for each j-domain
-      nimpptl, njmpptl,   &  !: i-, j-indexes for each processor
-      nlcitl , nlcjtl ,   &  !: dimensions of every subdomain
-      ibonitl, ibonjtl
-
-   REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   &  !:
-      tra_ctl                   !: previous trend values
-
-   !! * Routine accessibility
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   numid_trc          !: logical unit 
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   nlditl , nldjtl    !: first, last indoor index for each i-domain
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   nleitl , nlejtl    !: first, last indoor index for each j-domain
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   nimpptl, njmpptl   !: i-, j-indexes for each processor
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   nlcitl , nlcjtl    !: dimensions of every subdomain
+   INTEGER , DIMENSION(:), ALLOCATABLE ::   ibonitl, ibonjtl
+
+   REAL(wp), DIMENSION(:,:), ALLOCATABLE ::   tra_ctl         !: previous trend values
+
    PUBLIC prt_ctl_trc         ! called by all subroutines
    PUBLIC prt_ctl_trc_info    !
    PUBLIC prt_ctl_trc_init    ! called by opa.F90
-   !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
-   !! $Header$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
-   !!----------------------------------------------------------------------
-
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
+   !! $Header:$ 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 
 CONTAINS
 
-   SUBROUTINE prt_ctl_trc (tab4d, mask, clinfo, ovlap, kdim, clinfo2)
+   SUBROUTINE prt_ctl_trc( tab4d, mask, clinfo, ovlap, kdim, clinfo2 )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE prt_ctl  ***
@@ -61,33 +66,21 @@
       !!                name must be explicitly typed if used. For instance if the mask
       !!                array tmask(:,:,:) must be passed through the prt_ctl subroutine, 
-      !!                it must looks like: CALL prt_ctl(mask=tmask).
-      !!
-      !!                    tab4d   : 4D array
-      !!                    mask    : mask (3D) to apply to the tab4d array
-      !!                    clinfo  : information about the tab3d array
-      !!                    ovlap   : overlap value
-      !!                    kdim    : k- direction for 4D arrays 
-      !!
-      !! History :
-      !!   9.0  !  05-07  (C. Talandier) original code
-      !!        !  05-10  (C. Ethe     ) adapted to passive tracer
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      REAL(wp), DIMENSION(:,:,:,:), INTENT(in), OPTIONAL :: tab4d
-      REAL(wp), DIMENSION(:,:,:), INTENT(in), OPTIONAL :: mask
-      CHARACTER (len=*), DIMENSION(:), INTENT(in), OPTIONAL :: clinfo
-      CHARACTER (len=*), INTENT(in), OPTIONAL :: clinfo2
-      INTEGER, INTENT(in), OPTIONAL :: ovlap
-      INTEGER, INTENT(in), OPTIONAL :: kdim
-
-      !! * Local declarations
-      INTEGER  :: overlap, jn, js, sind, eind, kdir, j_id
-      REAL(wp) :: zsum, zvctl
-      REAL(wp), DIMENSION(jpi,jpj,jpk) :: zmask, ztab3d
-      CHARACTER (len=20), DIMENSION(jptra) :: cl
-      CHARACTER (len=10) :: cl2
-      !!----------------------------------------------------------------------
-
-      ! Arrays, scalars initialization 
+      !!                it must looks like: CALL prt_ctl( mask=tmask ).
+      !!----------------------------------------------------------------------
+      REAL(wp)         , DIMENSION(:,:,:,:), INTENT(in), OPTIONAL ::   tab4d     ! 4D array
+      REAL(wp)         , DIMENSION(:,:,:)  , INTENT(in), OPTIONAL ::   mask      ! 3D mask to apply to the tab4d array
+      CHARACTER (len=*), DIMENSION(:)      , INTENT(in), OPTIONAL ::   clinfo    ! information about the tab3d array
+      CHARACTER (len=*)                    , INTENT(in), OPTIONAL ::   clinfo2   ! ???
+      INTEGER                              , INTENT(in), OPTIONAL ::   ovlap     ! overlap value
+      INTEGER                              , INTENT(in), OPTIONAL ::   kdim      ! k- direction for 4D arrays
+      !!
+      INTEGER  ::   overlap, jn, js, sind, eind, kdir, j_id
+      REAL(wp) ::   zsum, zvctl
+      REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zmask, ztab3d
+      CHARACTER (len=20), DIMENSION(jptra) ::   cl
+      CHARACTER (len=10) ::   cl2
+      !!----------------------------------------------------------------------
+
+      !                                      ! Arrays, scalars initialization 
       overlap       = 0
       kdir          = jpkm1
@@ -99,18 +92,15 @@
       zmask (:,:,:) = 1.e0
 
-      ! Control of optional arguments
-
-      IF( PRESENT(ovlap)   )  overlap       = ovlap
-      IF( PRESENT(kdim)    )  kdir          = kdim
-      IF( PRESENT(clinfo ) )  cl(:)         = clinfo(:)
-      IF( PRESENT(clinfo2) )  cl2           = clinfo2
-      IF( PRESENT(mask)    )  zmask (:,:,:) = mask(:,:,:)
-
-      IF( lk_mpp )   THEN
-         ! processor number
+      !                                      ! Control of optional arguments
+      IF( PRESENT(ovlap)   )   overlap       = ovlap
+      IF( PRESENT(kdim)    )   kdir          = kdim
+      IF( PRESENT(clinfo ) )   cl(:)         = clinfo(:)
+      IF( PRESENT(clinfo2) )   cl2           = clinfo2
+      IF( PRESENT(mask)    )   zmask (:,:,:) = mask(:,:,:)
+
+      IF( lk_mpp )   THEN      ! processor number
          sind = narea
          eind = narea
-      ELSE
-         ! processors total number
+      ELSE                     ! processors total number
          sind = 1
          eind = ijsplt
@@ -119,7 +109,7 @@
       ! Loop over each sub-domain, i.e. the total number of processors ijsplt
       DO js = sind, eind
-
+         !
          ! Set logical unit
-         j_id = numid_trc(js - narea + 1)
+         j_id = numid_trc( js - narea + 1 )
          ! Set indices for the SUM control
          IF( .NOT. lsp_area ) THEN
@@ -130,8 +120,8 @@
                njctle = nlejtl(js) + overlap * MIN( 1, nlcjtl(js) - nlejtl(js))
                ! Do not take into account the bound of the domain
-               IF( ibonitl(js) == -1 .OR. ibonitl(js) == 2 ) nictls = MAX(2, nictls)
-               IF( ibonitl(js) ==  1 .OR. ibonitl(js) == 2 ) nictle = MIN(nictle, nleitl(js) - 1)
-               IF( ibonjtl(js) == -1 .OR. ibonjtl(js) == 2 ) njctls = MAX(2, njctls)
-               IF( ibonjtl(js) ==  1 .OR. ibonjtl(js) == 2 ) njctle = MIN(njctle, nlejtl(js) - 1)
+               IF( ibonitl(js) == -1 .OR. ibonitl(js) == 2 )   nictls = MAX( 2, nictls )
+               IF( ibonitl(js) ==  1 .OR. ibonitl(js) == 2 )   nictle = MIN( nictle, nleitl(js) - 1 )
+               IF( ibonjtl(js) == -1 .OR. ibonjtl(js) == 2 )   njctls = MAX( 2, njctls )
+               IF( ibonjtl(js) ==  1 .OR. ibonjtl(js) == 2 )   njctle = MIN( njctle, nlejtl(js) - 1 )
             ELSE
                nictls = MAX( 1, nimpptl(js) + nlditl(js) - 1 - overlap )
@@ -140,59 +130,49 @@
                njctle = njmpptl(js) + nlejtl(js) - 1 + overlap * MIN( 1, nlcjtl(js) - nlejtl(js) ) 
                ! Do not take into account the bound of the domain
-               IF( ibonitl(js) == -1 .OR. ibonitl(js) == 2 ) nictls = MAX(2, nictls)
-               IF( ibonjtl(js) == -1 .OR. ibonjtl(js) == 2 ) njctls = MAX(2, njctls)
-               IF( ibonitl(js) ==  1 .OR. ibonitl(js) == 2 ) nictle = MIN(nictle, nimpptl(js) + nleitl(js) - 2)
-               IF( ibonjtl(js) ==  1 .OR. ibonjtl(js) == 2 ) njctle = MIN(njctle, njmpptl(js) + nlejtl(js) - 2)
+               IF( ibonitl(js) == -1 .OR. ibonitl(js) == 2 )   nictls = MAX( 2, nictls )
+               IF( ibonjtl(js) == -1 .OR. ibonjtl(js) == 2 )   njctls = MAX( 2, njctls )
+               IF( ibonitl(js) ==  1 .OR. ibonitl(js) == 2 )   nictle = MIN( nictle, nimpptl(js) + nleitl(js) - 2 )
+               IF( ibonjtl(js) ==  1 .OR. ibonjtl(js) == 2 )   njctle = MIN( njctle, njmpptl(js) + nlejtl(js) - 2 )
             ENDIF
          ENDIF
-         
+         !
          IF( PRESENT(clinfo2) ) THEN
             DO jn = 1, jptra
                zvctl  = tra_ctl(jn,js)
                ztab3d(:,:,:) = tab4d(:,:,:,jn)
-               zsum          = SUM( ztab3d(nictls:nictle,njctls:njctle,1:kdir) &
-                  &                 *zmask(nictls:nictle,njctls:njctle,1:kdir) )
+               zsum          = SUM( ztab3d(nictls:nictle,njctls:njctle,1:kdir)   &
+                  &                * zmask(nictls:nictle,njctls:njctle,1:kdir) )
                WRITE(j_id,FMT="(3x,a,' : ',D23.16)") cl(jn), zsum-zvctl
                tra_ctl(jn,js) = zsum
-            ENDDO
+            END DO
          ELSE
             DO jn = 1, jptra
                ztab3d(:,:,:) = tab4d(:,:,:,jn)
-               zsum          = SUM( ztab3d(nictls:nictle,njctls:njctle,1:kdir) &
-                  &               * zmask(nictls:nictle,njctls:njctle,1:kdir) )
+               zsum          = SUM( ztab3d(nictls:nictle,njctls:njctle,1:kdir)   &
+                  &               *  zmask(nictls:nictle,njctls:njctle,1:kdir) )
                WRITE(j_id,FMT="(3x,a,' : ',D23.16)") cl(jn), zsum
             END DO
          ENDIF
-         
-
-      ENDDO
-
+         !
+      END DO
+      !
    END SUBROUTINE prt_ctl_trc
 
-   SUBROUTINE prt_ctl_trc_info (clinfo)
+
+   SUBROUTINE prt_ctl_trc_info( clinfo )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE prt_ctl_trc_info  ***
       !!
       !! ** Purpose : - print information without any computation
-      !!
-      !! ** Action  : - input arguments
-      !!                    clinfo : information to print
-      !!
-      !! History :
-      !!   9.0  !  05-07  (C. Talandier) original code
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      CHARACTER (len=*), INTENT(in) ::   clinfo
-
-      !! * Local declarations
-      INTEGER ::  js, sind, eind, j_id
-      !!----------------------------------------------------------------------
-
-      IF( lk_mpp )   THEN
-         ! processor number
+      !!----------------------------------------------------------------------
+      CHARACTER (len=*), INTENT(in) ::   clinfo      ! information to print
+      !! 
+      INTEGER ::   js, sind, eind, j_id
+      !!----------------------------------------------------------------------
+
+      IF( lk_mpp ) THEN      ! processor number
          sind = narea
          eind = narea
-      ELSE
-         ! total number of processors
+      ELSE                   ! total number of processors
          sind = 1
          eind = ijsplt
@@ -202,10 +182,10 @@
       DO js = sind, eind
          j_id = numid_trc(js - narea + 1)
-         WRITE(j_id,*)clinfo
-      ENDDO
-
-
+         WRITE(j_id,*) clinfo
+      END DO
+      !
    END SUBROUTINE prt_ctl_trc_info
 
+
    SUBROUTINE prt_ctl_trc_init
       !!----------------------------------------------------------------------
@@ -213,11 +193,6 @@
       !!
       !! ** Purpose :   open ASCII files & compute indices
-      !!
-      !! History :
-      !!   9.0  !  05-07  (C. Talandier) original code
-      !!        !  05-10  (C. Ethe     ) adapted to passive tracer
-      !!----------------------------------------------------------------------
-      !! * Local declarations
-      INTEGER ::   js, sind, eind, j_id
+      !!----------------------------------------------------------------------
+      INTEGER            ::   js, sind, eind, j_id
       CHARACTER (len=31) :: clfile_out
       CHARACTER (len=27) :: clb_name
@@ -225,19 +200,18 @@
       !!----------------------------------------------------------------------
 
-      ! Allocate arrays
-      ALLOCATE(nlditl (ijsplt))
-      ALLOCATE(nldjtl (ijsplt))
-      ALLOCATE(nleitl (ijsplt))
-      ALLOCATE(nlejtl (ijsplt))
-      ALLOCATE(nimpptl(ijsplt))
-      ALLOCATE(njmpptl(ijsplt))
-      ALLOCATE(nlcitl (ijsplt))
-      ALLOCATE(nlcjtl (ijsplt))
-      ALLOCATE(tra_ctl(jptra,ijsplt))
-      ALLOCATE(ibonitl(ijsplt))
-      ALLOCATE(ibonjtl(ijsplt))
-
-      ! Initialization 
-      tra_ctl (:,:)=0.e0
+      !                             ! Allocate arrays
+      ALLOCATE( nlditl (ijsplt) )
+      ALLOCATE( nldjtl (ijsplt) )
+      ALLOCATE( nleitl (ijsplt) )
+      ALLOCATE( nlejtl (ijsplt) )
+      ALLOCATE( nimpptl(ijsplt) )
+      ALLOCATE( njmpptl(ijsplt) )
+      ALLOCATE( nlcitl (ijsplt) )
+      ALLOCATE( nlcjtl (ijsplt) )
+      ALLOCATE( tra_ctl(jptra,ijsplt) )
+      ALLOCATE( ibonitl(ijsplt) )
+      ALLOCATE( ibonjtl(ijsplt) )
+
+      tra_ctl(:,:) = 0.e0           ! Initialization to zero
 
       IF( lk_mpp ) THEN
@@ -264,10 +238,10 @@
          eind = ijsplt
          clb_name = "('mono.top.output_',I3.3)"
-         cl_run = 'MONO processor run '
+         cl_run   = 'MONO processor run '
          ! compute indices for each area as done in mpp_init subroutine
          CALL sub_dom
       ENDIF
 
-      ALLOCATE(numid_trc(eind-sind+1))
+      ALLOCATE( numid_trc(eind-sind+1) )
 
       DO js = sind, eind
@@ -278,11 +252,11 @@
          WRITE(j_id,*)
          WRITE(j_id,*) '                 L O D Y C - I P S L'
-         WRITE(j_id,*) '                     O P A model'
+         WRITE(j_id,*) '                       N E M 0 '
          WRITE(j_id,*) '            Ocean General Circulation Model'
-         WRITE(j_id,*) '               version OPA 9.0  (2005) '
+         WRITE(j_id,*) '               version TOP 1.0  (2005) '
          WRITE(j_id,*)
          WRITE(j_id,*) '                   PROC number: ', js
          WRITE(j_id,*)
-         WRITE(j_id,FMT="(19x,a20)")cl_run
+         WRITE(j_id,FMT="(19x,a20)") cl_run
 
          ! Print the SUM control indices
@@ -324,6 +298,6 @@
 9003     FORMAT(a20,i4.4,a17,i4.4)
 9004     FORMAT(a11,i4.4,a26,i4.4,a14)
-      ENDDO
-
+      END DO
+      !
    END SUBROUTINE prt_ctl_trc_init
 
@@ -358,28 +332,17 @@
       !!                    nbondil    : mark for "east-west local boundary"
       !!                    nbondjl    : mark for "north-south local boundary"
-      !!
-      !! History :
-      !!        !  94-11  (M. Guyon)  Original code
-      !!        !  95-04  (J. Escobar, M. Imbard)
-      !!        !  98-02  (M. Guyon)  FETI method
-      !!        !  98-05  (M. Imbard, J. Escobar, L. Colombet )  SHMEM and MPI versions
-      !!   8.5  !  02-08  (G. Madec)  F90 : free form
-      !!----------------------------------------------------------------------
-      !! * Local variables
+      !!----------------------------------------------------------------------
       INTEGER ::   ji, jj, js               ! dummy loop indices
-      INTEGER ::   &
-         ii, ij,                         &  ! temporary integers
-         irestil, irestjl,               &  !    "          "
-         ijpi  , ijpj, nlcil,            &  ! temporary logical unit
-         nlcjl , nbondil, nbondjl,       &
-         nrecil, nrecjl, nldil, nleil, nldjl, nlejl
-
-      INTEGER, DIMENSION(:,:), ALLOCATABLE ::   &
-         iimpptl, ijmpptl, ilcitl, ilcjtl       ! temporary workspace
+      INTEGER ::   ii, ij                   ! temporary integers
+      INTEGER ::   irestil, irestjl         !    "          "
+      INTEGER ::   ijpi  , ijpj, nlcil      ! temporary logical unit
+      INTEGER ::   nlcjl , nbondil, nbondjl
+      INTEGER ::   nrecil, nrecjl, nldil, nleil, nldjl, nlejl
       REAL(wp) ::   zidom, zjdom            ! temporary scalars
-      !!----------------------------------------------------------------------
-
-      !  1. Dimension arrays for subdomains
-      ! -----------------------------------
+      INTEGER, DIMENSION(:,:), ALLOCATABLE ::   iimpptl, ijmpptl, ilcitl, ilcjtl   ! temporary workspace
+      !!----------------------------------------------------------------------
+
+      ! Dimension arrays for subdomains
+      ! -------------------------------
       !  Computation of local domain sizes ilcitl() ilcjtl()
       !  These dimensions depend on global sizes isplt,jsplt and jpiglo,jpjglo
@@ -391,6 +354,6 @@
       ijpj = ( jpjglo-2*jprecj + (jsplt-1) ) / jsplt + 2*jprecj
 
-      ALLOCATE(ilcitl (isplt,jsplt))
-      ALLOCATE(ilcjtl (isplt,jsplt))
+      ALLOCATE( ilcitl (isplt,jsplt) )
+      ALLOCATE( ilcjtl (isplt,jsplt) )
 
       nrecil  = 2 * jpreci
@@ -429,9 +392,9 @@
       END DO
 
-      !  2. Index arrays for subdomains
-      ! -------------------------------
-
-      ALLOCATE(iimpptl(isplt,jsplt))
-      ALLOCATE(ijmpptl(isplt,jsplt))
+      ! Index arrays for subdomains
+      ! ---------------------------
+
+      ALLOCATE( iimpptl(isplt,jsplt) )
+      ALLOCATE( ijmpptl(isplt,jsplt) )
       
       iimpptl(:,:) = 1
@@ -454,6 +417,6 @@
       ENDIF
       
-      ! 3. Subdomain description
-      ! ------------------------
+      ! Subdomain description
+      ! ---------------------
 
       DO js = 1, ijsplt
@@ -492,18 +455,17 @@
       END DO
 
-      DEALLOCATE(iimpptl)
-      DEALLOCATE(ijmpptl)
-      DEALLOCATE(ilcitl)
-      DEALLOCATE(ilcjtl)
-
+      DEALLOCATE( iimpptl )
+      DEALLOCATE( ijmpptl )
+      DEALLOCATE( ilcitl )
+      DEALLOCATE( ilcjtl )
+      !
    END SUBROUTINE sub_dom
  
 #else
    !!----------------------------------------------------------------------
-   !!   Dummy module :                      NO passive tracer
+   !!   Dummy module :                                    NO passive tracer
    !!----------------------------------------------------------------------
 #endif
     
    !!======================================================================
-
 END MODULE prtctl_trc
